# enex-rcache - remote build cache implementation for Nx

This is an implementation of the
[Nx remote cache OpenAPI specification](https://nx.dev/recipes/running-tasks/self-hosted-caching#open-api-specification).

## Configuration

enex-rcache takes its configuration from enviroment variables. Currently the
following are supported:

- `ENEX_CACHE_DIR` (required) - The directory in which to store cache records
- `ENEX_READ_TOKENS` - Comma-separated list of tokens able to read from the
  cache, but not write to it.

  _Note:_ If this list is empty, this cache does not have read-only users (i.e.
  all users _must_ have read-write tokens).
- `ENEX_READ_WRITE_TOKENS` (required) - Comma-separated list of tokens to write
  to the cache. Writing implies being able to read.
- `ENEX_BIND_ADDRESSES` - comma-separated list of IP addresses to bind the
  service to. If empty the service will bind to all available interfaces.

enex-rcache will try to read a `.env` file at startup in order to set the
environment. Existing enviroment entries will take precedence over the contents
of the `.env` file (so you can have a standard config in a file and override it
from the environment, e.g. in containerized deployments).
